Loading...
Searching...
No Matches
itk::GPUTransformBase Class Reference

`#include <itkGPUTransformBase.h>`

## Detailed Description

Base class for all GPU transforms.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 36 of file itkGPUTransformBase.h.

Inheritance diagram for itk::GPUTransformBase:
[legend]

## Public Types

using | Self = GPUTransformBase

## Public Member Functions

virtual const char * | GetNameOfClass () const
virtual GPUDataManager::Pointer | GetParametersDataManager () const
virtual GPUDataManager::Pointer | GetParametersDataManager (const std::vcl_size_t index) const
virtual bool | GetSourceCode (std::string &source) const
virtual bool | IsBSplineTransform () const
virtual bool | IsIdentityTransform () const
virtual bool | IsMatrixOffsetTransform () const
virtual bool | IsTranslationTransform () const

## Protected Member Functions

| GPUTransformBase ()
virtual | ~GPUTransformBase ()=default

## Protected Attributes

GPUDataManager::Pointer | m_ParametersDataManager {}

## Private Member Functions

| GPUTransformBase (const Self &other)=delete
const Self & | operator= (const Self &)=delete

## Member Typedef Documentation

## Self

using itk::GPUTransformBase::Self = GPUTransformBase

Standard class typedefs.

Definition at line 40 of file itkGPUTransformBase.h.

## Constructor & Destructor Documentation

## GPUTransformBase() [1/2]

itk::GPUTransformBase::GPUTransformBase | ( |  | ) |

protected

## ~GPUTransformBase()

virtual itk::GPUTransformBase::~GPUTransformBase | ( |  | ) |

protected virtual default

## GPUTransformBase() [2/2]

itk::GPUTransformBase::GPUTransformBase | ( | const Self & | other | ) |

private delete

## Member Function Documentation

## GetNameOfClass()

virtual const char * itk::GPUTransformBase::GetNameOfClass | ( |  | ) | const

inline virtual

Run-time type information (and related methods).

Definition at line 44 of file itkGPUTransformBase.h.

## GetParametersDataManager() [1/2]

virtual GPUDataManager::Pointer itk::GPUTransformBase::GetParametersDataManager | ( |  | ) | const

virtual

Returns data manager that stores all settings for the transform.

Reimplemented in itk::GPUMatrixOffsetTransformBase< TScalarType, NInputDimensions, NOutputDimensions >, itk::GPUMatrixOffsetTransformBase< float, 2, 2 >, itk::GPUMatrixOffsetTransformBase< float, 3, 3 >, itk::GPUMatrixOffsetTransformBase< TScalarType, 2, 2 >, itk::GPUMatrixOffsetTransformBase< TScalarType, 3, 3 >, itk::GPUMatrixOffsetTransformBase< TScalarType, NDimensions, NDimensions >, itk::GPUTranslationTransformBase< TScalarType, NDimensions >, itk::GPUTranslationTransformBase< float, 3 >, and itk::GPUTranslationTransformBase< TScalarType, NDimensions >.

## GetParametersDataManager() [2/2]

virtual GPUDataManager::Pointer itk::GPUTransformBase::GetParametersDataManager | ( | const std::vcl_size_t | index | ) | const

virtual

Returns data manager that stores all settings for the transform index. Used by combination transforms.

Reimplemented in itk::GPUCompositeTransformBase< TScalarType, NDimensions >, itk::GPUCompositeTransformBase< float, 3 >, itk::GPUCompositeTransformBase< InterpolatorPrecisionType, InputImageDimension >, and itk::GPUCompositeTransformBase< TScalarType, NDimensions >.

## GetSourceCode()

virtual bool itk::GPUTransformBase::GetSourceCode | ( | std::string & | source | ) | const

virtual

Returns OpenCL source code for the transform. Returns true if source code was combined, false otherwise.

Reimplemented in itk::GPUBSplineBaseTransform< TScalarType, NDimensions >, itk::GPUBSplineBaseTransform< float, 3 >, itk::GPUBSplineBaseTransform< InterpolatorPrecisionType, InputImageDimension >, itk::GPUBSplineBaseTransform< TScalarType, NDimensions >, itk::GPUCompositeTransformBase< TScalarType, NDimensions >, itk::GPUCompositeTransformBase< float, 3 >, itk::GPUCompositeTransformBase< InterpolatorPrecisionType, InputImageDimension >, itk::GPUCompositeTransformBase< TScalarType, NDimensions >, itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >, itk::GPUMatrixOffsetTransformBase< TScalarType, NInputDimensions, NOutputDimensions >, itk::GPUMatrixOffsetTransformBase< float, 2, 2 >, itk::GPUMatrixOffsetTransformBase< float, 3, 3 >, itk::GPUMatrixOffsetTransformBase< TScalarType, 2, 2 >, itk::GPUMatrixOffsetTransformBase< TScalarType, 3, 3 >, itk::GPUMatrixOffsetTransformBase< TScalarType, NDimensions, NDimensions >, itk::GPUTranslationTransformBase< TScalarType, NDimensions >, itk::GPUTranslationTransformBase< float, 3 >, and itk::GPUTranslationTransformBase< TScalarType, NDimensions >.

## IsBSplineTransform()

virtual bool itk::GPUTransformBase::IsBSplineTransform | ( |  | ) | const

inline virtual

Returns true if the derived transform is BSpline transform, false otherwise.

Reimplemented in itk::GPUBSplineBaseTransform< TScalarType, NDimensions >, itk::GPUBSplineBaseTransform< float, 3 >, itk::GPUBSplineBaseTransform< InterpolatorPrecisionType, InputImageDimension >, and itk::GPUBSplineBaseTransform< TScalarType, NDimensions >.

Definition at line 81 of file itkGPUTransformBase.h.

## IsIdentityTransform()

virtual bool itk::GPUTransformBase::IsIdentityTransform | ( |  | ) | const

inline virtual

Returns true if the derived transform is identity transform, false otherwise.

Reimplemented in itk::GPUIdentityTransform< TScalarType, NDimensions, TParentTransform >.

Definition at line 57 of file itkGPUTransformBase.h.

## IsMatrixOffsetTransform()

virtual bool itk::GPUTransformBase::IsMatrixOffsetTransform | ( |  | ) | const

inline virtual

Returns true if the derived transform is matrix offset transform, false otherwise.

Reimplemented in itk::GPUMatrixOffsetTransformBase< TScalarType, NInputDimensions, NOutputDimensions >, itk::GPUMatrixOffsetTransformBase< float, 2, 2 >, itk::GPUMatrixOffsetTransformBase< float, 3, 3 >, itk::GPUMatrixOffsetTransformBase< TScalarType, 2, 2 >, itk::GPUMatrixOffsetTransformBase< TScalarType, 3, 3 >, and itk::GPUMatrixOffsetTransformBase< TScalarType, NDimensions, NDimensions >.

Definition at line 65 of file itkGPUTransformBase.h.

## IsTranslationTransform()

virtual bool itk::GPUTransformBase::IsTranslationTransform | ( |  | ) | const

inline virtual

Returns true if the derived transform is translation transform, false otherwise.

Reimplemented in itk::GPUTranslationTransformBase< TScalarType, NDimensions >, itk::GPUTranslationTransformBase< float, 3 >, and itk::GPUTranslationTransformBase< TScalarType, NDimensions >.

Definition at line 73 of file itkGPUTransformBase.h.

## operator=()

const Self & itk::GPUTransformBase::operator= | ( | const Self & |  | ) |

private delete

## Field Documentation

## m_ParametersDataManager

GPUDataManager::Pointer itk::GPUTransformBase::m_ParametersDataManager {}

protected

Definition at line 99 of file itkGPUTransformBase.h.

Generated on 1768596610 for elastix by 1.15.0 |